<template>
	<view>
		<web-view :src="outUrl"></web-view>
	</view>
</template>

<script>
export default {
  data() {
    return {
      outUrl:'',//跳出地址
      enterUrl:'',//进入页面路由
    }
  },
  onLoad(option) {
    //#ifdef MP-WEIXIN
    this.enterUrl=option.q
    //#endif
    var enterpriseWechat=''
    if(this.enterUrl){
		  enterpriseWechat=this.getUrlKey('enterpriseWechat')||''
    }else{
		 enterpriseWechat=option.enterpriseWechat||''
    }
    let pdOpenid=uni.getStorageSync('openid')//胖丁小程序openid,临时用，当公众号授权做好之后可以删除
    let pdToken=uni.getStorageSync('token')
    let pdCreateUserId=uni.getStorageSync('createUserId')
    let pdUserId=uni.getStorageSync('userId')
    let ifyukuaiCode=option.ifyukuaiCode||''//是否是渝快码跳入，渝快码跳入需要在H5端另外走流程
    this.outUrl='https://wx.pangdly.com/#/ordersList1?pdOpenid='+pdOpenid+'&pdToken='+pdToken+'&pdCreateUserId='+pdCreateUserId+'&pdUserId='+pdUserId+'&ifyukuaiCode='+ifyukuaiCode+'&enterpriseWechat='+enterpriseWechat
  },
  methods: {
    //----获取url
    getUrlKey(name){
		  return(new RegExp('[?|&]' + name + '=' + '([^&;]+?)(&|#|;|$)').exec(decodeURIComponent(this.enterUrl)) || [, ''])[1].replace(/\+/g, '%20') || ''
    },
  }
}
</script>

<style>
